## org.eclipse.datatools.sqltools.debugger.model
Class SPVariable

    java.lang.Object
      PlatformObject
          org.eclipse.datatools.sqltools.debugger.model.SPDebugElement
              org.eclipse.datatools.sqltools.debugger.model.SPVariable

Direct Known Subclasses:
  SPGlobalVariable, SPLocalVariable

public abstract class SPVariable
extends SPDebugElement

Represents a SQL variable/parameter.

Author:
  Yang Liu
See Also:
  Serialized Form

Constructor Summary
`SPVariable(SPDebugTarget target, java.lang.String name)`

Method Summary
`java.lang.String` `getName()`
`java.lang.String` `getReferenceTypeName()`
`IValue` `getValue()`
`boolean` `hasValueChanged()`
`void` `internalSetValue(SPValue v)`
`abstract boolean` `isGlobal()`

Methods inherited from class org.eclipse.datatools.sqltools.debugger.model.SPDebugElement
`fireChangeEvent, fireResumeEvent, fireSuspendEvent, getAdapter, getDebugTarget, getLaunch, getModelIdentifier, getSPDebugTarget, notSupported`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SPVariable

    public SPVariable(SPDebugTarget target,
                      java.lang.String name)

Parameters:
  `target` -

Method Detail

### getValue

    public IValue getValue()
                    throws DebugException

  Throws:
    `DebugException`

### getName

    public java.lang.String getName()
                             throws DebugException

  Throws:
    `DebugException`

### getReferenceTypeName

    public java.lang.String getReferenceTypeName()
                                          throws DebugException

  Throws:
    `DebugException`

### hasValueChanged

    public boolean hasValueChanged()
                            throws DebugException

  Throws:
    `DebugException`

### internalSetValue

    public void internalSetValue(SPValue v)

### isGlobal

    public abstract boolean isGlobal()

  Returns:

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.